# Uses of Class
net.sourceforge.jiu.codecs.tiff.TIFFCodec

Packages that use TIFFCodec
Package
Description
net.sourceforge.jiu.codecs.tiff

## Uses of TIFFCodec in net.sourceforge.jiu.codecs.tiff

Fields in net.sourceforge.jiu.codecs.tiff declared as TIFFCodec
Modifier and Type
Field
Description
`private TIFFCodec`
TIFFDecoder.`codec`
Methods in net.sourceforge.jiu.codecs.tiff that return TIFFCodec
Modifier and Type
Method
Description
`TIFFCodec`
TIFFDecoder.`getCodec()`
Returns the codec from which this decoder is used.
Methods in net.sourceforge.jiu.codecs.tiff with parameters of type TIFFCodec
Modifier and Type
Method
Description
`private static TIFFDecoder`
TIFFCodec.`createDecoder(TIFFCodec codec, TIFFImageFileDirectory ifd, int tileIndex)`
`void`
TIFFDecoder.`setCodec(TIFFCodec tiffCodec)`
Specify the codec to be used with this decoder.